/*
 * This file (valid.c) is part of the sn package.
 * Distribution of sn is covered by the GPL. See file COPYING.
 * sn is copyright (c) 1998 Harold Tay.
 */
/*
  Parse email addresses, or fragments thereof.  addr_domain() also
  used to verify legal newsgroup names.  addr_qstrchr() like
  strchr() but ignores comments and quoted strings.
 */
extern int addr_addrspec(char *buf);
extern int addr_domain(char *buf);
extern int addr_localpart(char *buf);
extern char *addr_qstrchr(char *str, int find);
extern int addr_unescape(char *from, char *to, int len);
