/*
 * This file (flock.c) is part of the sn package.
 * Distribution of sn is covered by the GPL. See file COPYING.
 * sn is copyright (c) 1998 Harold Tay.
 */
/*
  flock() a file, for shell scripts.
 */
#include <unistd.h>
#include <sys/file.h>
#include <string.h>
#include <out.h>

static const char rcsid[] = "$Id: flock.c,v 1.1 1999/08/10 04:11:08 harold Exp $";
int
main(int argc, char ** argv)
{
  char * p;

  progname = ((p = strrchr(argv[0], '/'))?p+1:argv[0]);
  if( argc != 1 )
    fail(1, "Usage: %s (no arguments or options)"
      "%s always locks (using flock(2) descriptor 1, which should be open for writing."
      , progname, progname);

  if( 0 == flock(1, LOCK_EX|LOCK_NB) )_exit(0);
  _exit(2);
}
